Bug 113094 - redhat-config-samba write broken smb.conf when using ADS
redhat-config-samba write broken smb.conf when using ADS
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-samba (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
RHEL3U7NAK
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2004-01-08 09:45 EST by Jochen Schmidt
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmidt 2004-01-08 09:45:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031107 Debian/1.5-3

Description of problem:
Date  	06-JAN-2004  15:31:42  	Updated by  	Thinking Objects  
Update  	Note 	Type  	Problem Description

When choosing ADS in rehdat-config-samba, the resulting smb.conf will
be broken: 
--------------------------------------------------------------------- 
[root@mbttu-to samba]# net ads join 
realm must be set in in smb.conf for ADS join to succeed. 
--------------------------------------------------------------------- 
->  

https://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/sysadmin-guide/s1-samba-configuring.html


Date 	08-JAN-2004  06:11:15 	Updated by 	Steffen Mann 	Update 
History 	Type 	Status


Version-Release number of selected component (if applicable):
redhat-config-samba-1.0.16-1

How reproducible:
Always

Steps to Reproduce:
1. Open redhat-config-samba
2. Create a Samba-Config as ADS Member
3. do a "net ads join"
    

Actual Results:  "net ads join"

Expected Results:  a field named "realm" must be in the smb.conf. The
"password server" String is not required for ADS Member

Additional info:
Comment 6 Nils Philippsen 2005-03-15 03:13:41 EST
Fixed in redhat-config-samba-1.0.16-4.
Comment 7 Nils Philippsen 2005-07-29 05:19:00 EDT
Fix backed out again in redhat-config-samba-1.0.16-5.
Comment 14 RHEL Product and Program Management 2007-10-19 15:31:40 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.